SDL_CreateGPUGraphicsPipeline(3)

NAME
SDL_CreateGPUGraphicsPipeline - Creates a pipeline object to be used in a graphics workflow.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUGraphicsPipeline * SDL_CreateGPUGraphicsPipeline(
    SDL_GPUDevice *device,
    const SDL_GPUGraphicsPipelineCreateInfo *createinfo);

DESCRIPTION
There are optional properties that can be provided through props . These are the supported properties:

• SDL_PROP_GPU_GRAPHICSPIPELINE_CREATE_NAME_STRING :
  a name that can be displayed in debugging tools.

FUNCTION PARAMETERS

device
    a GPU Context.

createinfo
    a struct describing the state of the graphics pipeline to create.

RETURN VALUE
( SDL_GPUGraphicsPipeline
 *) Returns a graphics pipeline object on success, or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUShader(3), •(3), SDL_BindGPUGraphicsPipeline(3), •(3), SDL_ReleaseGPUGraphicsPipeline(3)